Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153059 - after updating selinux-policy-targeted, alot of messages during boot
Summary: after updating selinux-policy-targeted, alot of messages during boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 05:57 UTC by Paul
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-18 19:43:28 UTC


Attachments (Terms of Use)

Description Paul 2005-04-01 05:57:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
First off this is the first time I have reported a bug so bear with me.  I use kernel 2.6.11 compiled by me with no problems.  I updated yesterday: 

initscripts_7.93.7-1_i386.rpm
util-linux_2.12a-21_i386.rpm
selinux-policy-targeted_1.17.30-2.93_noarch.rpm
using apt-get.  Now during boot I get these messages:

Freeing unused kernel memory: 192k freed
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
security:  3 users, 4 roles, 320 types, 23 bools
security:  53 classes, 10921 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev hda3, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), not configured for labeling
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
audit(1112311863.861:0): avc:  denied  { read write } for  pid=811 exe=/sbin/minilogd name=console dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112311863.862:0): avc:  denied  { read write } for  pid=811 exe=/sbin/minilogd path=/dev/null dev=tmpfs ino=497 scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112311863.862:0): avc:  denied  { read write } for  pid=811 exe=/sbin/minilogd path=/dev/null dev=tmpfs ino=497 scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112311863.862:0): avc:  denied  { read write } for  pid=811 exe=/sbin/minilogd path=/dev/null dev=tmpfs ino=497 scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112311863.863:0): avc:  denied  { read write } for  pid=811 exe=/sbin/minilogd name=null dev=tmpfs ino=497 scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112311863.873:0): avc:  denied  { write } for  pid=811 exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112311865.807:0): avc:  denied  { read write } for  pid=1302 exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112311865.808:0): avc:  denied  { write } for  pid=1302 exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir

Dont know what they are from.

Version-Release number of selected component (if applicable):
selinux-policy-targeted 1.17.30-2.93

How reproducible:
Always

Steps to Reproduce:
1.Turn on computer
2.
3.
  

Additional info:

Comment 1 Daniel Walsh 2005-04-01 19:54:57 UTC
This looks like the restorecon -R /dev is not working.

Basically /dev/log should not be labeled tmpfs_t. It should be devlog_t

Comment 2 Paul 2005-04-01 21:20:55 UTC
Sorry Im confused, what should I change exactly?  
Thanks,
Paul

Comment 3 Daniel Walsh 2005-04-01 22:37:26 UTC
I am not sure, there should be a "restorecon -R /dev" in the /etc/rc.sysinit

Now maybe the minilog is starting too early and causing these AVC messages.  Are
you seeing any syslog messages?


Comment 4 Paul 2005-04-01 22:50:00 UTC
This is what is in my rc.sysinit pertaining to restorecon -R /dev 2:

if [ -x /sbin/restorecon ] && LC_ALL=C fgrep -q " /dev " /proc/mounts ; then
        /sbin/restorecon  -R /dev 2>/dev/null

When I open up system-logview I click on kernel startup log and this is output
pertaining to the minilogd stuff:

audit(1112371711.820:0): avc:  denied  { read write } for  pid=1774
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112371711.820:0): avc:  denied  { write } for  pid=1774
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00023f4a56402576]
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
audit(1112371720.874:0): avc:  denied  { read write } for  pid=1943
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112371720.874:0): avc:  denied  { write } for  pid=1943
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112371720.877:0): avc:  denied  { read write } for  pid=1944
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112371720.877:0): avc:  denied  { write } for  pid=1944
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112371720.879:0): avc:  denied  { read write } for  pid=1945
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112371720.879:0): avc:  denied  { write } for  pid=1945
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112371720.881:0): avc:  denied  { read write } for  pid=1947
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112371720.882:0): avc:  denied  { write } for  pid=1947
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112371720.885:0): avc:  denied  { read write } for  pid=1948
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112371720.885:0): avc:  denied  { write } for  pid=1948
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112389717.086:0): avc:  denied  { read write } for  pid=1953
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389717.087:0): avc:  denied  { write } for  pid=1953
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112389717.090:0): avc:  denied  { read write } for  pid=1954
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389717.090:0): avc:  denied  { write } for  pid=1954
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112389717.267:0): avc:  denied  { read write } for  pid=1958
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389717.267:0): avc:  denied  { write } for  pid=1958
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112389717.274:0): avc:  denied  { read write } for  pid=1962
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389717.274:0): avc:  denied  { write } for  pid=1962
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
ACPI: AC Adapter [ACAD] (off-line)
ACPI: Battery Slot [BAT1] (battery present)
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID]
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
audit(1112389717.635:0): avc:  denied  { read write } for  pid=2026
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389717.636:0): avc:  denied  { write } for  pid=2026
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
EXT3 FS on hda3, internal journal
audit(1112389717.722:0): avc:  denied  { read write } for  pid=2035
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389717.722:0): avc:  denied  { write } for  pid=2035
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112389717.823:0): avc:  denied  { read write } for  pid=2053
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389717.823:0): avc:  denied  { write } for  pid=2053
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev hda5, type vfat), uses genfs_contexts
audit(1112389717.991:0): avc:  denied  { read write } for  pid=2077
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389717.991:0): avc:  denied  { write } for  pid=2077
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
audit(1112389718.011:0): avc:  denied  { read write } for  pid=2081
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389718.011:0): avc:  denied  { write } for  pid=2081
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
Adding 1028152k swap on /dev/hda4.  Priority:-1 extents:1
audit(1112389718.713:0): avc:  denied  { read write } for  pid=2123
exe=/sbin/minilogd dev=tmpfs ino=495 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=chr_file
audit(1112389718.714:0): avc:  denied  { write } for  pid=2123
exe=/sbin/minilogd name=/ dev=tmpfs ino=494 scontext=user_u:system_r:syslogd_t
tcontext=user_u:object_r:tmpfs_t tclass=dir
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts





Next, this is the output pertaining to the warnings when I click on system
startup log:

Apr  1 16:09:00 localhost kernel: audit(1112371711.820:0): avc:  denied  { read
write } for  pid=1774 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:00 localhost kernel: audit(1112371711.820:0): avc:  denied  { write
} for  pid=1774 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:00 localhost kernel: md: md driver 0.90.1 MAX_MD_DEVS=256,
MD_SB_DISKS=27
Apr  1 16:09:00 localhost kernel: SELinux: initialized (dev ramfs, type ramfs),
uses genfs_contexts
Apr  1 16:09:00 localhost kernel: audit(1112371720.874:0): avc:  denied  { read
write } for  pid=1943 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:00 localhost kernel: audit(1112371720.874:0): avc:  denied  { write
} for  pid=1943 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:00 localhost kernel: audit(1112371720.877:0): avc:  denied  { read
write } for  pid=1944 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:00 localhost kernel: audit(1112371720.877:0): avc:  denied  { write
} for  pid=1944 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:00 localhost kernel: audit(1112371720.879:0): avc:  denied  { read
write } for  pid=1945 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:00 localhost kernel: audit(1112371720.879:0): avc:  denied  { write
} for  pid=1945 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:00 localhost kernel: audit(1112371720.881:0): avc:  denied  { read
write } for  pid=1947 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:00 localhost kernel: audit(1112371720.882:0): avc:  denied  { write
} for  pid=1947 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:00 localhost kernel: audit(1112371720.885:0): avc:  denied  { read
write } for  pid=1948 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112371720.885:0): avc:  denied  { write
} for  pid=1948 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389717.086:0): avc:  denied  { read
write } for  pid=1953 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389717.087:0): avc:  denied  { write
} for  pid=1953 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389717.090:0): avc:  denied  { read
write } for  pid=1954 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389717.090:0): avc:  denied  { write
} for  pid=1954 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389717.267:0): avc:  denied  { read
write } for  pid=1958 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389717.267:0): avc:  denied  { write
} for  pid=1958 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389717.274:0): avc:  denied  { read
write } for  pid=1962 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389717.274:0): avc:  denied  { write
} for  pid=1962 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: ACPI: AC Adapter [ACAD] (off-line)
Apr  1 16:09:01 localhost kernel: ACPI: Battery Slot [BAT1] (battery present)
Apr  1 16:09:01 localhost kernel: ACPI: Power Button (FF) [PWRF]
Apr  1 16:09:01 localhost kernel: ACPI: Lid Switch [LID]
Apr  1 16:09:01 localhost kernel: ACPI: Video Device [VGA] (multi-head: yes 
rom: no  post: no)
Apr  1 16:09:01 localhost kernel: audit(1112389717.635:0): avc:  denied  { read
write } for  pid=2026 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389717.636:0): avc:  denied  { write
} for  pid=2026 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: EXT3 FS on hda3, internal journal
Apr  1 16:09:01 localhost kernel: audit(1112389717.722:0): avc:  denied  { read
write } for  pid=2035 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389717.722:0): avc:  denied  { write
} for  pid=2035 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389717.823:0): avc:  denied  { read
write } for  pid=2053 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389717.823:0): avc:  denied  { write
} for  pid=2053 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: SELinux: initialized (dev tmpfs, type tmpfs),
uses transition SIDs
Apr  1 16:09:01 localhost kernel: SELinux: initialized (dev hda5, type vfat),
uses genfs_contexts
Apr  1 16:09:01 localhost kernel: audit(1112389717.991:0): avc:  denied  { read
write } for  pid=2077 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389717.991:0): avc:  denied  { write
} for  pid=2077 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389718.011:0): avc:  denied  { read
write } for  pid=2081 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389718.011:0): avc:  denied  { write
} for  pid=2081 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: Adding 1028152k swap on /dev/hda4. 
Priority:-1 extents:1
Apr  1 16:09:01 localhost kernel: audit(1112389718.713:0): avc:  denied  { read
write } for  pid=2123 exe=/sbin/minilogd dev=tmpfs ino=495
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=chr_file
Apr  1 16:09:01 localhost kernel: audit(1112389718.714:0): avc:  denied  { write
} for  pid=2123 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: SELinux: initialized (dev binfmt_misc, type
binfmt_misc), uses genfs_contexts
Apr  1 16:09:01 localhost kernel: audit(1112389719.023:0): avc:  denied  { write
} for  pid=2145 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389719.528:0): avc:  denied  { write
} for  pid=2169 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Apr  1 16:09:01 localhost kernel: ip_conntrack version 2.1 (3579 buckets, 28632
max) - 260 bytes per conntrack
Apr  1 16:09:01 localhost kernel: audit(1112389720.501:0): avc:  denied  { write
} for  pid=2226 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389721.268:0): avc:  denied  { write
} for  pid=2251 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: Linux Kernel Card Services
Apr  1 16:09:01 localhost kernel:   options:  [pci] [cardbus] [pm]
Apr  1 16:09:01 localhost kernel: audit(1112389722.194:0): avc:  denied  { write
} for  pid=2270 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389722.198:0): avc:  denied  { write
} for  pid=2272 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389722.499:0): avc:  denied  { write
} for  pid=2290 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389722.500:0): avc:  denied  { write
} for  pid=2291 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389722.501:0): avc:  denied  { write
} for  pid=2292 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389722.501:0): avc:  denied  { write
} for  pid=2293 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389722.503:0): avc:  denied  { write
} for  pid=2295 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389723.296:0): avc:  denied  { write
} for  pid=2353 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389723.678:0): avc:  denied  { write
} for  pid=2382 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389723.783:0): avc:  denied  { write
} for  pid=2398 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389723.784:0): avc:  denied  { write
} for  pid=2399 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389723.788:0): avc:  denied  { write
} for  pid=2401 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir
Apr  1 16:09:01 localhost kernel: audit(1112389723.792:0): avc:  denied  { write
} for  pid=2403 exe=/sbin/minilogd name=/ dev=tmpfs ino=494
scontext=user_u:system_r:syslogd_t tcontext=user_u:object_r:tmpfs_t tclass=dir

Comment 5 Daniel Walsh 2005-04-07 15:24:41 UTC
This looks like minilog is starting before the restorecon takes effect.  I am
not seeing this on any machines I have and have not heard from other people
about this happening.  My guess is there is something about the way you are
using your kernel or mkinitrd.  

Dan 

Comment 6 Bill Nottingham 2005-04-07 19:04:43 UTC
minilogd starts very very early in rc.sysinit, fwiw.

Comment 7 Daniel Walsh 2005-04-07 20:10:37 UTC
But it gets started after the restorecon -R /dev correct?  Don't have access to
a FC3 box right now.

Dan

Comment 8 Bill Nottingham 2005-04-07 20:36:37 UTC
Well, under FC4, it doesn't start *at all*; it's not included any more there.

Under FC3, it will start when

a) initlog attempts to log data
and
b) /dev is writable

So, it could be fairly early.


Note You need to log in before you can comment on or make changes to this bug.